org.wildfly.swarm.config

## Class IIOPOpenjdk<T extends IIOPOpenjdk<T>>

- java.lang.Object
- - org.wildfly.swarm.config.IIOPOpenjdk<T>

-     public class IIOPOpenjdk<T extends IIOPOpenjdk<T>>
      extends Object

  The iiop-openjdk subsystem configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IIOPOpenjdk.AuthMethod`
    `static class` | `IIOPOpenjdk.CallerPropagation`
    `static class` | `IIOPOpenjdk.Security`
    `static class` | `IIOPOpenjdk.Transactions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIOPOpenjdk()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `addComponentViaInterceptor()` Indicates whether SSL components should be added by an IOR interceptor (on) or not (off).
    `T` | `addComponentViaInterceptor(Boolean value)` Indicates whether SSL components should be added by an IOR interceptor (on) or not (off).
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `authenticationContext()` The name of the authentication context used when the security initializer is set to 'elytron'.
    `T` | `authenticationContext(String value)` The name of the authentication context used when the security initializer is set to 'elytron'.
    `IIOPOpenjdk.AuthMethod` | `authMethod()` The authentication method.
    `T` | `authMethod(IIOPOpenjdk.AuthMethod value)` The authentication method.
    `IIOPOpenjdk.CallerPropagation` | `callerPropagation()` Indicates whether the caller identity should be propagated in the SAS context or not.
    `T` | `callerPropagation(IIOPOpenjdk.CallerPropagation value)` Indicates whether the caller identity should be propagated in the SAS context or not.
    `String` | `clientRequires()` Value that indicates the client SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `T` | `clientRequires(String value)` Value that indicates the client SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `Boolean` | `clientRequiresSsl()` Indicates whether IIOP connections from the server require SSL.
    `T` | `clientRequiresSsl(Boolean value)` Indicates whether IIOP connections from the server require SSL.
    `String` | `clientSslContext()` The name of the SSL context used to create client side SSL sockets.
    `T` | `clientSslContext(String value)` The name of the SSL context used to create client side SSL sockets.
    `String` | `clientSupports()` Value that indicates the client SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `T` | `clientSupports(String value)` Value that indicates the client SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `String` | `confidentiality()` Indicates whether the transport must require confidentiality protection or not.
    `T` | `confidentiality(String value)` Indicates whether the transport must require confidentiality protection or not.
    `String` | `detectMisordering()` Indicates whether the transport must require misordering detection or not.
    `T` | `detectMisordering(String value)` Indicates whether the transport must require misordering detection or not.
    `String` | `detectReplay()` Indicates whether the transport must require replay detection or not.
    `T` | `detectReplay(String value)` Indicates whether the transport must require replay detection or not.
    `Boolean` | `exportCorbaloc()` Indicates whether the root context should be exported as corbaloc::address:port/NameService (on) or not (off).
    `T` | `exportCorbaloc(Boolean value)` Indicates whether the root context should be exported as corbaloc::address:port/NameService (on) or not (off).
    `String` | `getKey()`
    `String` | `giopVersion()` The GIOP version to be used.
    `T` | `giopVersion(String value)` The GIOP version to be used.
    `Integer` | `highWaterMark()` TCP connection cache parameter.
    `T` | `highWaterMark(Integer value)` TCP connection cache parameter.
    `String` | `integrity()` Indicates whether the transport must require integrity protection or not.
    `T` | `integrity(String value)` Indicates whether the transport must require integrity protection or not.
    `Boolean` | `iona()` Indicates whether interoperability with IONA's ASP is enabled.
    `T` | `iona(Boolean value)` Indicates whether interoperability with IONA's ASP is enabled.
    `Integer` | `numberToReclaim()` TCP connection cache parameter.
    `T` | `numberToReclaim(Integer value)` TCP connection cache parameter.
    `String` | `persistentServerId()` Persistent id of the server.
    `T` | `persistentServerId(String value)` Persistent id of the server.
    `Map` | `properties()` A list of generic key/value properties.
    `T` | `properties(Map value)` A list of generic key/value properties.
    `T` | `property(String key, Object value)` A list of generic key/value properties.
    `String` | `realm()` The authentication service (AS) realm name.
    `T` | `realm(String value)` The authentication service (AS) realm name.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `required()` Indicates if authentication is required (true) or not (false).
    `T` | `required(Boolean value)` Indicates if authentication is required (true) or not (false).
    `String` | `rootContext()` The naming service root context.
    `T` | `rootContext(String value)` The naming service root context.
    `IIOPOpenjdk.Security` | `security()` Indicates whether the security interceptors are to be installed (client, identity, elytron) or not (none).
    `T` | `security(IIOPOpenjdk.Security value)` Indicates whether the security interceptors are to be installed (client, identity, elytron) or not (none).
    `String` | `securityDomain()` The name of the security domain that holds the key and trust stores that will be used to establish SSL connections.
    `T` | `securityDomain(String value)` The name of the security domain that holds the key and trust stores that will be used to establish SSL connections.
    `String` | `serverRequires()` Value that indicates the server SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `T` | `serverRequires(String value)` Value that indicates the server SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `Boolean` | `serverRequiresSsl()` Indicates whether IIOP connections to the server require SSL.
    `T` | `serverRequiresSsl(Boolean value)` Indicates whether IIOP connections to the server require SSL.
    `String` | `serverSslContext()` The name of the SSL context used to create server side SSL sockets.
    `T` | `serverSslContext(String value)` The name of the SSL context used to create server side SSL sockets.
    `String` | `serverSupports()` Value that indicates the server SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `T` | `serverSupports(String value)` Value that indicates the server SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).
    `String` | `socketBinding()` The name of the socket binding configuration that specifies the ORB port.
    `T` | `socketBinding(String value)` The name of the socket binding configuration that specifies the ORB port.
    `String` | `sslSocketBinding()` The name of the socket binding configuration that specifies the ORB SSL port.
    `T` | `sslSocketBinding(String value)` The name of the socket binding configuration that specifies the ORB SSL port.
    `Boolean` | `supportSsl()` Indicates whether SSL is to be supported (on) or not (off).
    `T` | `supportSsl(Boolean value)` Indicates whether SSL is to be supported (on) or not (off).
    `IIOPOpenjdk.Transactions` | `transactions()` Indicates whether the transactions interceptors are to be installed (full or spec) or not (none).
    `T` | `transactions(IIOPOpenjdk.Transactions value)` Indicates whether the transactions interceptors are to be installed (full or spec) or not (none).
    `String` | `trustInClient()` Indicates if the transport must require trust in client to be established.
    `T` | `trustInClient(String value)` Indicates if the transport must require trust in client to be established.
    `String` | `trustInTarget()` Indicates if the transport must require trust in target to be established.
    `T` | `trustInTarget(String value)` Indicates if the transport must require trust in target to be established.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IIOPOpenjdk

          public IIOPOpenjdk()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### properties

          public Map properties()

      A list of generic key/value properties.

    - #### properties

          public T properties(Map value)

      A list of generic key/value properties.

    - #### property

          public T property(String key,
                            Object value)

      A list of generic key/value properties.

    - #### authMethod

          public IIOPOpenjdk.AuthMethod authMethod()

      The authentication method. Valid values are 'none' and 'username_password'.

    - #### authMethod

          public T authMethod(IIOPOpenjdk.AuthMethod value)

      The authentication method. Valid values are 'none' and 'username_password'.

    - #### realm

          public String realm()

      The authentication service (AS) realm name.

    - #### realm

          public T realm(String value)

      The authentication service (AS) realm name.

    - #### required

          public Boolean required()

      Indicates if authentication is required (true) or not (false).

    - #### required

          public T required(Boolean value)

      Indicates if authentication is required (true) or not (false).

    - #### authenticationContext

          public String authenticationContext()

      The name of the authentication context used when the security initializer is set to 'elytron'.

    - #### authenticationContext

          public T authenticationContext(String value)

      The name of the authentication context used when the security initializer is set to 'elytron'.

    - #### security

          public IIOPOpenjdk.Security security()

      Indicates whether the security interceptors are to be installed (client, identity, elytron) or not (none).

    - #### security

          public T security(IIOPOpenjdk.Security value)

      Indicates whether the security interceptors are to be installed (client, identity, elytron) or not (none).

    - #### transactions

          public IIOPOpenjdk.Transactions transactions()

      Indicates whether the transactions interceptors are to be installed (full or spec) or not (none). The value 'full' enabled JTS while 'spec' enables a spec compliant mode (non JTS) that rejects incoming transaction contexts.

    - #### transactions

          public T transactions(IIOPOpenjdk.Transactions value)

      Indicates whether the transactions interceptors are to be installed (full or spec) or not (none). The value 'full' enabled JTS while 'spec' enables a spec compliant mode (non JTS) that rejects incoming transaction contexts.

    - #### iona

          public Boolean iona()

      Indicates whether interoperability with IONA's ASP is enabled.

    - #### iona

          public T iona(Boolean value)

      Indicates whether interoperability with IONA's ASP is enabled.

    - #### exportCorbaloc

          public Boolean exportCorbaloc()

      Indicates whether the root context should be exported as corbaloc::address:port/NameService (on) or not (off).

    - #### exportCorbaloc

          public T exportCorbaloc(Boolean value)

      Indicates whether the root context should be exported as corbaloc::address:port/NameService (on) or not (off).

    - #### rootContext

          public String rootContext()

      The naming service root context.

    - #### rootContext

          public T rootContext(String value)

      The naming service root context.

    - #### giopVersion

          public String giopVersion()

      The GIOP version to be used.

    - #### giopVersion

          public T giopVersion(String value)

      The GIOP version to be used.

    - #### persistentServerId

          public String persistentServerId()

      Persistent id of the server. Persistent object references are valid across many activactions of the server and they identify it using this property. As a result of that: many activations of the same server should have this property set to the same value, different server instances running on the same host should have different server ids.

    - #### persistentServerId

          public T persistentServerId(String value)

      Persistent id of the server. Persistent object references are valid across many activactions of the server and they identify it using this property. As a result of that: many activations of the same server should have this property set to the same value, different server instances running on the same host should have different server ids.

    - #### socketBinding

          public String socketBinding()

      The name of the socket binding configuration that specifies the ORB port.

    - #### socketBinding

          public T socketBinding(String value)

      The name of the socket binding configuration that specifies the ORB port.

    - #### sslSocketBinding

          public String sslSocketBinding()

      The name of the socket binding configuration that specifies the ORB SSL port.

    - #### sslSocketBinding

          public T sslSocketBinding(String value)

      The name of the socket binding configuration that specifies the ORB SSL port.

    - #### callerPropagation

          public IIOPOpenjdk.CallerPropagation callerPropagation()

      Indicates whether the caller identity should be propagated in the SAS context or not. Valid values are 'none' and 'supported'.

    - #### callerPropagation

          public T callerPropagation(IIOPOpenjdk.CallerPropagation value)

      Indicates whether the caller identity should be propagated in the SAS context or not. Valid values are 'none' and 'supported'.

    - #### addComponentViaInterceptor

          public Boolean addComponentViaInterceptor()

      Indicates whether SSL components should be added by an IOR interceptor (on) or not (off).

    - #### addComponentViaInterceptor

          public T addComponentViaInterceptor(Boolean value)

      Indicates whether SSL components should be added by an IOR interceptor (on) or not (off).

    - #### clientRequires

          public String clientRequires()

      Value that indicates the client SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### clientRequires

          public T clientRequires(String value)

      Value that indicates the client SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### clientRequiresSsl

          public Boolean clientRequiresSsl()

      Indicates whether IIOP connections from the server require SSL.

    - #### clientRequiresSsl

          public T clientRequiresSsl(Boolean value)

      Indicates whether IIOP connections from the server require SSL.

    - #### clientSslContext

          public String clientSslContext()

      The name of the SSL context used to create client side SSL sockets.

    - #### clientSslContext

          public T clientSslContext(String value)

      The name of the SSL context used to create client side SSL sockets.

    - #### clientSupports

          public String clientSupports()

      Value that indicates the client SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### clientSupports

          public T clientSupports(String value)

      Value that indicates the client SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### securityDomain

          public String securityDomain()

      The name of the security domain that holds the key and trust stores that will be used to establish SSL connections.

    - #### securityDomain

          public T securityDomain(String value)

      The name of the security domain that holds the key and trust stores that will be used to establish SSL connections.

    - #### serverRequires

          public String serverRequires()

      Value that indicates the server SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### serverRequires

          public T serverRequires(String value)

      Value that indicates the server SSL required parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### serverRequiresSsl

          public Boolean serverRequiresSsl()

      Indicates whether IIOP connections to the server require SSL.

    - #### serverRequiresSsl

          public T serverRequiresSsl(Boolean value)

      Indicates whether IIOP connections to the server require SSL.

    - #### serverSslContext

          public String serverSslContext()

      The name of the SSL context used to create server side SSL sockets.

    - #### serverSslContext

          public T serverSslContext(String value)

      The name of the SSL context used to create server side SSL sockets.

    - #### serverSupports

          public String serverSupports()

      Value that indicates the server SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### serverSupports

          public T serverSupports(String value)

      Value that indicates the server SSL supported parameters (None, ServerAuth, ClientAuth, MutualAuth).

    - #### supportSsl

          public Boolean supportSsl()

      Indicates whether SSL is to be supported (on) or not (off).

    - #### supportSsl

          public T supportSsl(Boolean value)

      Indicates whether SSL is to be supported (on) or not (off).

    - #### highWaterMark

          public Integer highWaterMark()

      TCP connection cache parameter. Each time the number of connections exceeds this value ORB tries to reclaim connections. Number of reclaimed connections is specified by tcp-number-to-reclaim property. If this property is not set then it is configured as OpenJDK ORB default.

    - #### highWaterMark

          public T highWaterMark(Integer value)

      TCP connection cache parameter. Each time the number of connections exceeds this value ORB tries to reclaim connections. Number of reclaimed connections is specified by tcp-number-to-reclaim property. If this property is not set then it is configured as OpenJDK ORB default.

    - #### numberToReclaim

          public Integer numberToReclaim()

      TCP connection cache parameter. Each time number of connections exceeds tcp-high-water-mark property then ORB tries to reclaim connections. Number of reclaimed connections is specified by this property. If it is not set then it is configured as OpenJDK ORB default.

    - #### numberToReclaim

          public T numberToReclaim(Integer value)

      TCP connection cache parameter. Each time number of connections exceeds tcp-high-water-mark property then ORB tries to reclaim connections. Number of reclaimed connections is specified by this property. If it is not set then it is configured as OpenJDK ORB default.

    - #### confidentiality

          public String confidentiality()

      Indicates whether the transport must require confidentiality protection or not. Valid values are 'none', 'supported' and 'required'.

    - #### confidentiality

          public T confidentiality(String value)

      Indicates whether the transport must require confidentiality protection or not. Valid values are 'none', 'supported' and 'required'.

    - #### detectMisordering

          public String detectMisordering()

      Indicates whether the transport must require misordering detection or not. Valid values are 'none', 'supported' and 'required'.

    - #### detectMisordering

          public T detectMisordering(String value)

      Indicates whether the transport must require misordering detection or not. Valid values are 'none', 'supported' and 'required'.

    - #### detectReplay

          public String detectReplay()

      Indicates whether the transport must require replay detection or not. Valid values are 'none', 'supported' and 'required'.

    - #### detectReplay

          public T detectReplay(String value)

      Indicates whether the transport must require replay detection or not. Valid values are 'none', 'supported' and 'required'.

    - #### integrity

          public String integrity()

      Indicates whether the transport must require integrity protection or not. Valid values are 'none', 'supported' and 'required'.

    - #### integrity

          public T integrity(String value)

      Indicates whether the transport must require integrity protection or not. Valid values are 'none', 'supported' and 'required'.

    - #### trustInClient

          public String trustInClient()

      Indicates if the transport must require trust in client to be established. Valid values are 'none', 'supported' and 'required'.

    - #### trustInClient

          public T trustInClient(String value)

      Indicates if the transport must require trust in client to be established. Valid values are 'none', 'supported' and 'required'.

    - #### trustInTarget

          public String trustInTarget()

      Indicates if the transport must require trust in target to be established. Valid values are 'none' and 'supported'.

    - #### trustInTarget

          public T trustInTarget(String value)

      Indicates if the transport must require trust in target to be established. Valid values are 'none' and 'supported'.

Copyright © 2018 JBoss by Red Hat. All rights reserved.